org.eclipse.help.standalone

## Class Help

- java.lang.Object
- - org.eclipse.help.standalone.Help

    public class Help
    extends Object

This is a standalone help system. It takes care of launching the Eclipse with its help system implementation, and controling it. This class can be instantiated and used in a Java program, or can be launched from command line to execute single help action. Usage as a Java component:

- create an instantance of this class and then hold onto this instance for the duration of your application
- call start()
- call displayHelp(...) or displayContext(..) any number of times
- at the end, call shutdown().

### Constructor Summary

Constructors
Constructor and Description
`Help(String pluginsDir)` Deprecated. use Help#Help(String[])
`Help(String[] options)` Constructs help system

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `displayContext(String contextId, int x, int y)` Displays context sensitive help.
`void` `displayContextInfopop(String contextId, int x, int y)` Displays context sensitive help in infopop.
`void` `displayHelp()` Displays help.
`void` `displayHelp(String href)` Displays specified help resource.
`static void` `main(String[] args)` Controls standalone help system from command line.
`void` `shutdown()` Shuts-down the stand alone help system.
`void` `start()` Starts the stand alone help system.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Help

    public Help(String[] options)

Constructs help system

Parameters:
  `options` - array of String options and their values

  Option `-eclipseHome dir` specifies Eclipse installation directory. This directory is a parent to "plugins" directory and eclipse executable. The option must be provided, when current directory from which infocenter is launched, is not the same as Eclipse installation directory.

  Option `-host helpServerHost` specifies host name of the interface that help server will use. It overrides host name specified in the application server plugin preferences.

  Option `-port helpServerPort` specifies port number that help server will use. It overrides port number specified in the application server plugin preferences.

  Option `-dir rtl` sets right-to-left rendering direction of help UI in the browser.

  Additionally, most options accepted by Eclipse execuable are supported.

#### Help

    @Deprecated
    public Help(String pluginsDir)

Deprecated. use Help#Help(String[])
This contstructs the stand alone help.

Parameters:
  `pluginsDir` - directory containing Eclipse plugins

### Method Detail

#### start

    public void start()
               throws Exception

Starts the stand alone help system.

Throws:
  `Exception`

#### shutdown

    public void shutdown()
                  throws Exception

Shuts-down the stand alone help system.

Throws:
  `Exception`

#### displayHelp

    public void displayHelp()
                     throws Exception

Displays help.

Throws:
  `Exception`

#### displayHelp

    public void displayHelp(String href)
                     throws Exception

Displays specified help resource.

Parameters:
  `href` - the href of the table of contents
Throws:
  `Exception`

#### displayContext

    public void displayContext(String contextId,
                               int x,
                               int y)
                        throws Exception

Displays context sensitive help.

Parameters:
  `contextId` - context id
  `x` - x coordinate
  `y` - y coordinate
Throws:
  `Exception`

#### displayContextInfopop

    public void displayContextInfopop(String contextId,
                                      int x,
                                      int y)
                               throws Exception

Displays context sensitive help in infopop.

Parameters:
  `contextId` - context id
  `x` - x coordinate
  `y` - y coordinate
Throws:
  `Exception`

#### main

    public static void main(String[] args)

Controls standalone help system from command line.

Parameters:
  `args` - array of String containing options Options are: `-command start | shutdown | (displayHelp [href]) [-eclipsehome eclipseInstallPath] [-host helpServerHost] [-port helpServerPort] [-dir rtl] [platform options] [-vmargs JavaVMarguments]` where
  - `href` is the URL of the help resource to display,
  - `eclipseInstallPath` specifies Eclipse installation directory; it must be provided, when current directory is not the same as Eclipse installation directory,
  - `helpServerHost` specifies host name of the interface that help server will use, it overrides host name specified the application server plugin preferences
  - `helpServerPort` specifies port number that help server will use, it overrides port number specified the application server plugin preferences.
  - `-dir rtl` sets right-to-left rendering direction of help UI in the browser.
  - `platform options` are other options that are supported by Eclipse Executable.